Package org.mozilla.javascript.engine

## Class RhinoInvocationHandler

- java.lang.Object
- - org.mozilla.javascript.engine.RhinoInvocationHandler

- All Implemented Interfaces:
    `java.lang.reflect.InvocationHandler`

      public class RhinoInvocationHandler
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object proxy,
                                         java.lang.reflect.Method method,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`